Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateDhcpOptionsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.CreateDhcpOptionsResult

    public class CreateDhcpOptionsResult

extends Object

Constructor Summary
`CreateDhcpOptionsResult()`

Method Summary
`DhcpOptions` | `getDhcpOptions()` A set of one or more DHCP options.
`void` | `setDhcpOptions(DhcpOptions dhcpOptions)` A set of one or more DHCP options.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDhcpOptionsResult` | `withDhcpOptions(DhcpOptions dhcpOptions)` A set of one or more DHCP options.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateDhcpOptionsResult

    public CreateDhcpOptionsResult()

Method Detail

### getDhcpOptions

    public DhcpOptions getDhcpOptions()

  A set of one or more DHCP options.

  Returns:
    A set of one or more DHCP options.

### setDhcpOptions

    public void setDhcpOptions(DhcpOptions dhcpOptions)

  A set of one or more DHCP options.

  Parameters:
    `dhcpOptions` - A set of one or more DHCP options.

### withDhcpOptions

    public CreateDhcpOptionsResult withDhcpOptions(DhcpOptions dhcpOptions)

  A set of one or more DHCP options.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptions` - A set of one or more DHCP options.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.